## class OSGUTIL_EXPORT FlattenStaticTransformsVisitor

> Flatten Static Trasform nodes by applying their transform to the geometry on the leaves of the scene graph, then removing the now redundant transforms

## Inheritance:

### Public Methods

FlattenStaticTransformsVisitor()
virtual void apply(osg::Geode& geode)
virtual void apply(osg::Billboard& geode)
virtual void apply(osg::Transform& transform)
bool removeTransforms(osg::Node* nodeWeCannotRemove)

### Protected Fields

TransformStack _transformStack
DrawableSet _drawableSet
BillboardSet _billboardSet
TransformSet _transformSet

### Protected Members

typedef std::vector<osg::Transform*> TransformStack
typedef std::set<osg::Drawable*> DrawableSet
typedef std::set<osg::Billboard*> BillboardSet
typedef std::set<osg::Transform*> TransformSet

## Documentation

> Flatten Static Trasform nodes by applying their transform to the geometry on the leaves of the scene graph, then removing the now redundant transforms

`FlattenStaticTransformsVisitor()`

`virtual void apply(osg::Geode& geode)`

`virtual void apply(osg::Billboard& geode)`

`virtual void apply(osg::Transform& transform)`

`bool removeTransforms(osg::Node* nodeWeCannotRemove)`

`typedef std::vector<osg::Transform*> TransformStack`

`typedef std::set<osg::Drawable*> DrawableSet`

`typedef std::set<osg::Billboard*> BillboardSet`

`typedef std::set<osg::Transform*> TransformSet`

`TransformStack _transformStack`

`DrawableSet _drawableSet`

`BillboardSet _billboardSet`

`TransformSet _transformSet`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.